<ng-container *ngIf="isBrowser">

  <div class="cart-checkout normal-view">
    <div class="container">
      <div class="row mt-2">
        <div class="col padding0px common-header-h4">
          <h4>{{ 'labelShoppingCart' | translate:lang }}</h4>
        </div>
      </div>
    </div>

    <div class="row tab-view">
      <div class="col-md-8">
        <mat-accordion class="cart-accordian" *ngIf="cartStatus">
          <mat-expansion-panel [expanded]="step === 0" (opened)="setStep(0)" hideToggle>
            <mat-expansion-panel-header>
              <mat-panel-title>
                <span class="mat-text-style">{{ 'labelOrders' | translate:lang }}</span>
              </mat-panel-title>
            </mat-expansion-panel-header>
            <div class="shoppingcart">
              <div class="row">
                <div class="col-md-12">
                  <div class="product-section">
                    <div class="product-list" *ngFor="let cart of cartList">
                      <div class="product-img-cont">
                        <img (click)="navigateToProductDetailPage(cart)" [src]="cart.productImage"
                          [alt]="cart.productName" class="itemImg" />
                      </div>
                      <div class="product-checkout-detail">
                        <div class="pcd-head">
                          <div class="prod-name">
                            <div (click)="navigateToProductDetailPage(cart)" class="cart-titile">
                              {{cart.productName}}
                            </div>
                          </div>
                          <div class="cart-att">
                            <div class="cart-opt" *ngFor="let option of cart.productOption">
                              {{option.optionName}} : {{option.optionValueName}}
                            </div>
                          </div>
                          <div class="prod-id" *ngIf="cart.companyName">Vendor: {{cart.companyName}}</div>
                          <div class="prod-id">{{cart.productCode}}</div>
                          <div class="prod-cost"><span
                              class="pcl">{{cart.mrpSalesPriceTaxAmount  | customCurrencyFormat}}</span>
                            <span class="pcr"
                              *ngIf="showDiscount !== 0 && cart.discountAmount !== 0"><s>{{cart.strikeoutAmount | customCurrencyFormat}}</s>
                            </span>
                            <div class="prod-coupon">
                              <app-coupon-discount [couponCreated]="cart.couponCreatedBy"
                                [couponDiscount]="cart.couponAmount" [discountType]="cart.couponDiscountType"
                                [shipping]="cart.couponFreeShipping">
                              </app-coupon-discount>
                            </div>
                          </div>

                        </div>
                        <div class="pcd-foot">
                          <div class="count-control">
                            <div class="ccl-disabled"
                              [ngClass]="{'ccl' : enableDecrementButton ? (cart.cartQuantity > 1) : (cart.cartQuantity > cart.minimumQuantity)}"
                              (click)="reduceOneCountOnClickingTheMinusSignButton(cart)"> - </div>
                            <div class="count-label">
                              <input type="number" class="qty" name="cartQuantity" [min]="cart.minimumQuantity"
                                [(ngModel)]="cart.cartQuantity" [max]="cart.actualMaximumQuantity"
                                (ngModelChange)="userQuantityUpdate.next(cart);" />
                            </div>
                            <div class="ccl-disabled"
                              [ngClass]="{'ccl' : (cart.cartQuantity < cart.actualMaximumQuantity)}"
                              (click)="increaseOneCountOnClickingThePlusSignButton(cart)"> + </div>
                          </div>
                          <div class="order-rate-control">
                            <div class="orc pointer-none">
                              {{ cart.cartQuantity * cart.mrpSalesPriceTaxAmount | customCurrencyFormat }}
                            </div>
                            <div class="orc" (click)="moveToWishList(cart)">
                              <i class="fa fa-heart" aria-hidden="true"></i>{{'MOVE_TO_WISHLIST' | translate:lang}}
                            </div>
                            <div class="orc"
                              (click)="removeCartDetails(cart.productId, cart.cartId, cart.vendorId, cart.couponCode, false)">
                              <i class="fa fa-trash-alt" aria-hidden="true"></i>{{'REMOVE_ITEM' | translate:lang}}</div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </mat-expansion-panel>

          <mat-expansion-panel [expanded]="step === 1" (opened)="setStep(1)" hideToggle #panel1
            [ngClass]="{'prevent-click': enableAddressToggle}">
            <mat-expansion-panel-header>
              <mat-panel-title>
                <span class="mat-text-style">{{ 'labelDeliveryAddress' | translate:lang }}</span>
              </mat-panel-title>
            </mat-expansion-panel-header>

            <div class="shoppingcart">
              <form>
                <div class="row">
                  <div class="col-md-4 cart-dd-address">
                    <h6>{{'headingBillingAddress' | translate: lang}}</h6>
                    <mat-form-field appearance="outline">
                      <mat-label>{{'labelBilling' | translate: lang}}</mat-label>
                      <mat-select panelClass="address-dropdown" name="billingAddress" [(ngModel)]="billingAddress">
                        <mat-select-trigger>
                          {{billingAddress ? billingAddress.firstName + ' ' + billingAddress.lastName : ''}}
                        </mat-select-trigger>
                        <mat-option *ngFor="let address of addressList" [value]="address"
                          (click)="changeBillingAddress();enablePaymentToggleFromAddress()">
                          {{address.firstName}} {{address.lastName}},<br> {{address.addressOne}},
                          {{address.addressTwo ? (address.addressTwo + ',') : ''}}
                          <br>{{address.townVillageName}}, {{address.stateName}}<br>
                          {{address.countryName}} - {{address.zipCode}}.
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div class="col-md-4 cart-dd-address">
                    <h6>{{'headingShippingAddress' | translate: lang}}</h6>
                    <mat-form-field appearance="outline">
                      <mat-label>{{'labelShipping' | translate: lang}}</mat-label>
                      <mat-select panelClass="address-dropdown" name="shippingAddress" [(ngModel)]="shippingAddress"
                        [disabled]="disableShipping">
                        <mat-select-trigger>
                          {{shippingAddress ? shippingAddress.firstName + ' ' + shippingAddress.lastName : ''}}
                        </mat-select-trigger>
                        <mat-option *ngFor="let address of addressList" [value]="address">
                          {{address.firstName}} {{address.lastName}},<br> {{address.addressOne}},
                          {{address.addressTwo ? (address.addressTwo + ',') : ''}}
                          <br>{{address.townVillageName}}, {{address.stateName}}<br>
                          {{address.countryName}} - {{address.zipCode}}.
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div class="col-md-4 cart-checkbox">
                    <mat-checkbox (change)="changeShippingAddress($event)" [(ngModel)]="isShppingSameAsBilling"
                      [ngModelOptions]="{standalone: true}" [disabled]="enableCheckBox">
                      {{'labelSameAsBilling' | translate: lang}}</mat-checkbox>
                  </div>

                </div>
                <div class="row">
                  <div class="col-md-4 mb-4">
                    <span class="cart-checkbox" *ngIf="billingAddress">
                      {{billingAddress.firstName}} {{billingAddress.lastName}},<br> {{billingAddress.addressOne}},
                      {{billingAddress.addressTwo ? (billingAddress.addressTwo + ',') : ''}}
                      <br>{{billingAddress.townVillageName}}, {{billingAddress.stateName}}<br>
                      {{billingAddress.countryName}} - {{billingAddress.zipCode}}.<br>
                    </span>
                  </div>
                  <div class="col-md-4">
                    <span class="cart-checkbox" *ngIf="shippingAddress">
                      {{shippingAddress.firstName}} {{shippingAddress.lastName}},<br> {{shippingAddress.addressOne}},
                      {{shippingAddress.addressTwo ? (shippingAddress.addressTwo + ',') : ''}}
                      <br>{{shippingAddress.townVillageName}}, {{shippingAddress.stateName}}<br>
                      {{shippingAddress.countryName}} - {{shippingAddress.zipCode}}.<br>
                    </span>
                  </div>
                </div>
              </form>
              <div class="row">
                <div class="col-md-12 next-btn">
                  <button (click)="addAddress()" mat-raised-button color="primary" class="add-address"
                    [title]="'lableAddAddress' | translate: lang">
                    <!--<i class="fa fa-plus-circle plus-icon" aria-hidden="true"></i>-->
                    {{'lableAddAddress' | translate: lang}}
                  </button>
                  <!-- <button [disabled]="!billingAddress || !shippingAddress" mat-raised-button (click)="goToPayment()"
                  color="primary" [title]="'buttonNext' | translate:lang"
                  class="mat-btn-width">{{ 'buttonNext' | translate:lang }}</button> -->
                </div>
              </div>
            </div>
          </mat-expansion-panel>

          <mat-expansion-panel [expanded]="step === 2" (opened)="setStep(2)" hideToggle #panel2
            [ngClass]="{'prevent-click': enablePaymentToggle}">
            <mat-expansion-panel-header>
              <mat-panel-title>
                <span class="mat-text-style">{{ 'labelPaymentsOption' | translate:lang }}</span>
                <span class="mat-text-style-1">{{'labelAmountPaid' | translate:lang}} :
                  {{ walletStatus ? (walletTotal | customCurrencyFormat) : (grandTotal | customCurrencyFormat)}}</span>
              </mat-panel-title>
            </mat-expansion-panel-header>
            <div class="shoppingcart" *ngIf="paymentList">
              <!--<div class="row" *ngIf="walletStatus ? walletTotal > 0 : grandTotal > 0">
            <div class="col-md-2 cart-payment m-r10" [ngClass]="{'payment-border': paymentType === 1}" (click)="findPaymentMethod(1)">
              <img src="assets/images/cod.png" alt="cash on delivery">
            </div>
            <div class="col-md-2 cart-payment" [ngClass]="{'payment-border': paymentType === 2}" (click)="findPaymentMethod(2)">
              <img src="assets/images/stripe.png" alt="stripe">
            </div>
          </div>-->
              <div class="pay-section" *ngIf="walletStatus ? walletTotal > 0 : grandTotal > 0">
                <mat-radio-group (change)="onChangePayment($event)" [(ngModel)]="paymentType">
                  <div class="pay-mode">
                    <div class="payment-list" *ngFor="let payment of paymentList; let i = index">
                      <div class="pll">
                          <mat-radio-button name="payment.pgName" class="radio" [value]="payment.paymentModeId" [checked]="i === 0? true: false">{{payment.pgName}}</mat-radio-button>
                      </div>
                      <div class="plr">
                        <!--<img src="assets/images/pay-cod.svg">-->
                        <img [src]="payment.pgLogo" [alt]="payment.pgLogo" class="paymentImg" />
                      </div>
                    </div>
                    <!--<div class="payment-list">
                    <div class="pll">
                      <mat-radio-button class="radio" value="2">{{'STRIPE' | translate:lang }}</mat-radio-button>
                    </div>
                    <div class="plr">
                      <img src="assets/images/pay-stripe.svg">
                    </div>
                  </div>
                  <div class="payment-list">
                    <div class="pll">
                      <mat-radio-button class="radio" value="7">{{'RAZOR_PAY' | translate:lang }}</mat-radio-button>
                    </div>
                    <div class="plr">
                      <img src="assets/images/razorpay.svg">
                    </div>
                  </div>
                  <div class="payment-list">
                    <div class="pll">
                      <mat-radio-button class="radio" value="8">{{'LABEL_HDFC' | translate:lang }}</mat-radio-button>
                    </div>
                    <div class="plr">
                      <img src="assets/images/hdfc.svg">
                    </div>
                  </div>-->
                    <!--<div class="payment-list">
                <div class="pll">
                  <mat-radio-button class="radio" value="3">Via Paypal</mat-radio-button>
                </div>
                <div class="plr">
                  <img src="assets/images/pay-paypal.svg">
                </div>
              </div>-->
                  </div>
                </mat-radio-group>
              </div>
              <!-- <div class="row">
              <div class="col-md-12 payment-opt-but">
                <button (click)="saveCheckoutDetails()" mat-raised-button color="primary"
                  [title]="'buttonPlaceOrder' | translate: lang">{{ 'buttonPlaceOrder' | translate:lang }}</button>
              </div>
            </div> -->
            </div>
          </mat-expansion-panel>
        </mat-accordion>
      </div>

      <div class="summary col-md-4" *ngIf="currencySymbol && cartStatus">
        <dl class="data-list">
          <dt>{{ 'labelSubTotal' | translate:lang }}</dt>
          <dd>{{subTotal | customCurrencyFormat}}</dd>
          <dt>{{'LABEL_COUPON_DISCOUNT' | translate: lang}}</dt>
          <dd>
            <span *ngIf="couponDiscount">
              -
            </span>
            {{couponDiscount | customCurrencyFormat}}</dd>
        </dl>
        <dl class="total-gross">
          <dt><span>{{'LABEL_GROSS_TOTAL' | translate: lang}}</span></dt>
          <dd>{{grossTotal | customCurrencyFormat}}</dd>
        </dl>
        <dl>
          <dt>{{ 'labelTax' | translate:lang }}</dt>
          <dd>{{estimatedTax | customCurrencyFormat}}</dd>

        </dl>
        <dl>
          <app-cart-shipping [shippmentApplied]="shippmentAmountApplied" [shipping]="shippingFee"
            [freeShipping]="couponFreeShipping" [couponShipping]="couponShippingAmount"></app-cart-shipping>
        </dl>

        <dl class="total">
          <dt>{{'LABEL_NET_PAYABLE' | translate: lang}}</dt>
          <dd>{{grandTotal | customCurrencyFormat}}</dd>
        </dl>
        <dl class="data-list" *ngIf="walletStatus">
          <dt>{{'labelwalletPayment' | translate: lang}}</dt>
          <dd>{{originalWalletAmount | customCurrencyFormat}}</dd>
        </dl>

        <div class="col-md-12 cart-bg-color" *ngIf="userId && emptyWallet">
          <mat-checkbox (change)="applyWallet($event)">
            <div class="cart-wallet-amount">
              <span>{{'labelUseWallet' | translate: lang}}</span><span>({{walletAmount | customCurrencyFormat}})</span>
            </div>
          </mat-checkbox>
        </div>
        <dl class="total" *ngIf="walletStatus">
          <dt>{{'labelAmountPaid' | translate: lang}}</dt>
          <dd>{{walletTotal | customCurrencyFormat}}</dd>
        </dl>
        <dl class="coupon-code">
          <div class="promo-title">{{ 'labelPromoCode' | translate: lang}}</div>
          <mat-form-field appearance="outline">
            <mat-label>{{'labelCoupon' | translate: lang}}</mat-label>
            <input autocomplete="off" [(ngModel)]="couponCode" [title]="'titleCoupon' | translate: lang" matInput
              placeholder="{{ 'placeholderCoupon' | translate:lang }}" name="couponcode" />
          </mat-form-field>
          <div class="cart-mat-button">
            <button [disabled]="!couponCode" (click)="applyCoupon()" mat-raised-button class="coupon-btn"
              [title]="'buttonApplyCoupon' | translate:lang">{{
          'buttonApplyCoupon' | translate:lang }}</button>
            <span *ngIf="step !== 2">
              <button [disabled]="(step === 1 && (!billingAddress || !shippingAddress))" mat-raised-button
                (click)="gotoNextTab()" class="mat-btn-width" color="primary" [title]="'buttonNext' | translate:lang">{{
            'buttonNext' |
            translate:lang }}
              </button>
            </span>
            <span *ngIf="step === 2">
              <button (click)="subscribeMemberShipPlan()" mat-raised-button color="primary"
                [disabled]="(!billingAddress || !shippingAddress) || isPlacingOrder"
                [title]="'buttonPlaceOrder' | translate: lang">{{ 'buttonPlaceOrder' | translate:lang }}</button>
            </span>
          </div>
        </dl>

        <!-- Cash back code start-->
        
        <div  class="mobile-cash-back" *ngIf="userId && cashBackObj && cashBackObj.subscriptionPlan">
          <app-cash-back-meter [cashback]="cashBackObj"></app-cash-back-meter>
        </div>

        <!-- Cash back code end-->

      </div>
    </div>

    <div class="nodata-found-wrap" *ngIf="!cartStatus && !isLoading">
      <div class="nodata-found">
        <img src="assets/images/empty_product.png" />
      </div>
      <span class="align-bottom">
        {{ 'labelShoppingCartEmpty' | translate:lang }}
      </span>
      <div class="showmore-wrap">
        <button (click)="continueShopping()" mat-raised-button
          color="primary">{{'buttonContinueShopping' | translate: lang}}</button>
      </div>
    </div>
  </div>

  <!--mobile view-->

  <div class="cart-checkout mt-view">
    <div class="common-header-h4">
      <h4>{{ 'labelShoppingCart' | translate:lang }}</h4>
    </div>
    <mat-accordion class="cart-accordian" *ngIf="cartStatus">
      <mat-expansion-panel [expanded]="true">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="mat-text-style">{{ 'labelOrders' | translate:lang }}</span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="shoppingcart-mobile">
          <div class="row">
            <div class="col-md-12 padding0px">
              <div class="product-section-mobile" *ngFor="let cart of cartList">
                <div class="product-list-mobile">
                  <div class="product-img-cont-mobile">
                    <img (click)="navigateToProductDetailPage(cart)" [src]="cart.productImage" [alt]="cart.productName"
                      class="itemImg" />
                  </div>
                  <div class="product-checkout-detail-mobile">
                    <div class="pcd-head-mobile">
                      <div class="prod-name-mobile">
                        <div (click)="navigateToProductDetailPage(cart)" class="cart-titile">
                          {{cart.productName}}
                        </div>
                      </div>
                      <div class="prod-id-mobile">{{cart.productCode}}</div>
                      <div class="prod-cost-mobile"><span
                          class="pcl">{{cart.mrpSalesPriceTaxAmount | customCurrencyFormat}}</span>
                        <span class="pcr"
                          *ngIf="showDiscount !== 0 && cart.discountAmount !== 0"><s>{{cart.strikeoutAmount | customCurrencyFormat}}</s>
                        </span>
                        <div class="prod-coupon-m">
                          <app-coupon-discount [couponCreated]="cart.couponCreatedBy"
                            [couponDiscount]="cart.couponAmount" [discountType]="cart.couponDiscountType"
                            [shipping]="cart.couponFreeShipping">
                          </app-coupon-discount>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="pcd-foot-mobile">
                  <div class="count-control">
                    <div class="ccl-disabled" [ngClass]="{'ccl' : (cart.cartQuantity > 1)}"
                      (click)="reduceOneCountOnClickingTheMinusSignButton(cart)"> - </div>
                    <div class="count-label">
                      <input type="number" class="qty" name="cartQuantity" [min]="cart.minimumQuantity"
                        [max]="cart.actualMaximumQuantity" [(ngModel)]="cart.cartQuantity"
                        (ngModelChange)="userQuantityUpdate.next(cart)" />
                    </div>
                    <div class="ccl-disabled" [ngClass]="{'ccl' : (cart.cartQuantity < cart.actualMaximumQuantity)}"
                      (click)="increaseOneCountOnClickingThePlusSignButton(cart)"> + </div>

                    <div class="pointer-none-mobile">
                      {{ cart.cartQuantity * cart.mrpSalesPriceTaxAmount | customCurrencyFormat }}
                    </div>
                  </div>
                  <div class="order-rate-control-mobile">
                    <div class="orc-mobile border-mobile" (click)="moveToWishList(cart)"><i class="fa fa-heart"
                        aria-hidden="true"></i></div>
                    <div class="orc-mobile"
                      (click)="removeCartDetails(cart.productId, cart.cartId, cart.vendorId, cart.couponCode, false)"><i
                        class="fa fa-trash-alt" aria-hidden="true"></i></div>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="summary-mobile col-md-12 padding0px" *ngIf="currencySymbol && cartStatus">

              <dl class="data-list">
                <dt>{{ 'labelSubTotal' | translate:lang }}</dt>
                <dd>{{subTotal | customCurrencyFormat}}</dd>
                <dt>{{'LABEL_COUPON_DISCOUNT' | translate: lang}}</dt>
                <dd>
                  <span *ngIf="couponDiscount">-</span>
                  {{couponDiscount | customCurrencyFormat}}
                </dd>
              </dl>
              <dl class="total-gross">
                <dt><span>{{'LABEL_GROSS_TOTAL' | translate: lang}}</span></dt>
                <dd>{{grossTotal | customCurrencyFormat}}</dd>
                <dt>{{ 'labelTax' | translate:lang }}</dt>
                <dd>{{estimatedTax | customCurrencyFormat}}</dd>
                <dt>{{ 'labelShippingFee' | translate: lang}}</dt>
                <dd>{{shippingFee | customCurrencyFormat}}</dd>
              </dl>
              <dl class="total">
                <dt>{{'ORDER_TOTAL' | translate:lang}}</dt>
                <dd>{{grandTotal | customCurrencyFormat}}</dd>
              </dl>
              <dl class="data-list" *ngIf="walletStatus">
                <dt>{{'labelwalletPayment' | translate: lang}}</dt>
                <dd>{{originalWalletAmount | customCurrencyFormat}}</dd>
              </dl>

              <div class="col-md-12 cart-bg-color" *ngIf="userId && emptyWallet">
                <mat-checkbox (change)="applyWallet($event)">
                  <div class="cart-wallet-amount">
                    <span>{{'labelUseWallet' | translate: lang}}</span><span>({{walletAmount | customCurrencyFormat}})</span>
                  </div>
                </mat-checkbox>
              </div>
              <dl class="total" *ngIf="walletStatus">
                <dt>{{'labelAmountPaid' | translate: lang}}</dt>
                <dd>{{walletTotal | customCurrencyFormat}}</dd>
              </dl>
              <div class="coupon-code">
                <span>{{ 'labelPromoCode' | translate: lang}}</span>
                <mat-form-field appearance="outline">
                  <mat-label>{{'labelCoupon' | translate: lang}}</mat-label>
                  <input autocomplete="off" [(ngModel)]="couponCode" [title]="'titleCoupon' | translate: lang" matInput
                    placeholder="{{ 'placeholderCoupon' | translate:lang }}" name="couponcode" />
                </mat-form-field>
              </div>
              <div id="cartbutton">
                <div class="cart-mat-button">
                  <button (click)="applyCoupon()" [disabled]="!couponCode" mat-raised-button class="coupon-btn"
                    [title]="'buttonApplyCoupon' | translate:lang">{{
                  'buttonApplyCoupon' | translate:lang }}</button>
                  <button [disabled]="!cartList" mat-raised-button (click)="goToAddress()" class="mat-btn-width"
                    color="primary" [title]="'buttonNext' | translate:lang">{{
                  'buttonNext' |
                  translate:lang }}
                  </button>
                </div>
              </div>
            </div>

            <!-- Cash back code start-->
            
            <div class="cashback-mobile" *ngIf="userId && cashBackObj && cashBackObj.subscriptionPlan">
              <app-cash-back-meter [cashback]="cashBackObj"></app-cash-back-meter>
            </div>

          <!-- Cash back code end-->

          </div>

        </div>
      </mat-expansion-panel>
      <mat-expansion-panel #panelm1 [expanded]="!enableAddressToggle"
        (opened)="setStep(1);enablePaymentToggleFromAddress();" [hidden]="enableAddressToggle"
        [ngClass]="{'prevent-click': enableAddressToggle}">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="mat-text-style">{{ 'labelDeliveryAddress' | translate:lang }}</span>
          </mat-panel-title>
        </mat-expansion-panel-header>

        <div class="shoppingcart-address">
          <form>
            <div class="row">
              <div class="col-md-4 cart-dd-address">
                <h6>{{'headingBillingAddress' | translate: lang}}</h6>
                <mat-form-field appearance="outline">
                  <mat-label>{{'labelBilling' | translate: lang}}</mat-label>
                  <mat-select panelClass="address-dropdown" name="billingAddress" [(ngModel)]="billingAddress">
                    <mat-select-trigger>
                      {{billingAddress ? billingAddress.firstName + ' ' + billingAddress.lastName : ''}}
                    </mat-select-trigger>
                    <mat-option *ngFor="let address of addressList" [value]="address"
                      (click)="changeBillingAddress();enablePaymentToggleFromAddress()">
                      {{address.firstName}} {{address.lastName}},<br> {{address.addressOne}},
                      {{address.addressTwo ? (address.addressTwo + ',') : '' }}
                      <br>{{address.townVillageName}}, {{address.stateName}}<br>
                      {{address.countryName}} - {{address.zipCode}}.

                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4 mb-2">
                <span class="cart-address" *ngIf="billingAddress">
                  {{billingAddress.firstName}} {{billingAddress.lastName}},<br> {{billingAddress.addressOne}},
                  {{billingAddress.addressTwo ? (billingAddress.addressTwo + ',') : ''}}
                  <br>{{billingAddress.townVillageName}}, {{billingAddress.stateName}}<br>
                  {{billingAddress.countryName}} - {{billingAddress.zipCode}}.<br>
                </span>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4 cart-dd-address  mt-25">
                <h6>{{'headingShippingAddress' | translate: lang}}</h6>
                <mat-form-field appearance="outline">
                  <mat-label>{{'labelShipping' | translate: lang}}</mat-label>
                  <mat-select panelClass="address-dropdown" name="shippingAddress" [(ngModel)]="shippingAddress"
                    [disabled]="disableShipping">
                    <mat-select-trigger>
                      {{shippingAddress ? shippingAddress.firstName + ' ' + shippingAddress.lastName : ''}}
                    </mat-select-trigger>
                    <mat-option *ngFor="let address of addressList" [value]="address">
                      {{address.firstName}} {{address.lastName}},<br> {{address.addressOne}},
                      {{address.addressTwo ? (address.addressTwo + ',') : ''}}
                      <br>{{address.townVillageName}}, {{address.stateName}}<br>
                      {{address.countryName}} - {{address.zipCode}}.
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
              <div class="col-md-4 cart-checkbox">
                <mat-checkbox (change)="changeShippingAddress($event)" [(ngModel)]="isShppingSameAsBilling"
                  [ngModelOptions]="{standalone: true}" [disabled]="enableCheckBox">
                  {{'labelSameAsBilling' | translate: lang}}</mat-checkbox>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <span class="cart-address" *ngIf="shippingAddress">
                  {{shippingAddress.firstName}} {{shippingAddress.lastName}},<br> {{shippingAddress.addressOne}},
                  {{shippingAddress.addressTwo ? (shippingAddress.addressTwo + ',') : ''}}
                  <br>{{shippingAddress.townVillageName}}, {{shippingAddress.stateName}}<br>
                  {{shippingAddress.countryName}} - {{shippingAddress.zipCode}}.<br>
                </span>
              </div>
            </div>
          </form>
        </div>
        <div id="cartbutton">
          <div class="cart-mat-button">
            <button (click)="addAddress()" mat-raised-button class="coupon-btn"
              [title]="'lableAddAddress' | translate: lang">
              {{'lableAddAddress' | translate: lang}}
            </button>
            <button [disabled]="!billingAddress || !shippingAddress" color="primary" mat-raised-button
              (click)="gotoNextTab()" [title]="'buttonNext' | translate:lang"
              class="mat-btn-width">{{ 'buttonNext' | translate:lang }}</button>
          </div>
        </div>
      </mat-expansion-panel>
      <mat-expansion-panel #panelm2 [expanded]="step === 2" (opened)="setStep(2)"
        [hidden]="step !== 2" [ngClass]="{'prevent-click': step !== 2}">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="mat-text-style">{{ 'labelPaymentsOption' | translate:lang }}</span>
            <span class="mat-text-style-1">{{'labelAmountPaid' | translate:lang}} :
              {{ walletStatus ? (walletTotal | customCurrencyFormat) : (grandTotal | customCurrencyFormat)}}</span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="shoppingcart">
          <div class="pay-section" *ngIf="walletStatus ? walletTotal > 0 : grandTotal > 0">
            <mat-radio-group (change)="onChangePayment($event)" [(ngModel)]="paymentType">
              <div class="pay-mode">
                <div class="payment-list" *ngFor="let payment of paymentList; let i = index">
                  <div class="pll">
                    <mat-radio-button name="payment.pgName" class="radio" [value]="payment.paymentModeId"
                      [checked]="i === 0? true: false">{{payment.pgName}}</mat-radio-button>
                  </div>
                  <div class="plr">
                    <!--<img src="assets/images/pay-cod.svg">-->
                    <img [src]="payment.pgLogo" [alt]="payment.pgLogo" class="paymentImg" />
                  </div>
                </div>
              </div>
            </mat-radio-group>
          </div>
          <!--<div class="pay-section">
            <mat-radio-group [(ngModel)]="paymentType" (change)="onChangePayment($event)">
              <div class="pay-mode">
                <div class="payment-list" *ngFor="let cart of cartList">
                  <div class="pll">
                    <mat-radio-button class="radio" value="1">{{'COD' | translate:lang}}</mat-radio-button>
                  </div>
                  <div class="plr">
                    <img src="assets/images/pay-cod.svg">
                  </div>
                </div>
                <div class="payment-list">
                  <div class="pll">
                    <mat-radio-button class="radio" value="2">{{'STRIPE' | translate:lang }}</mat-radio-button>
                  </div>
                  <div class="plr">
                    <img src="assets/images/pay-stripe.svg">
                  </div>
                </div>
                <div class="payment-list">
                  <div class="pll">
                    <mat-radio-button class="radio" value="7">{{'RAZOR_PAY' | translate:lang }}</mat-radio-button>
                  </div>
                  <div class="plr">
                    <img src="assets/images/razorpay.svg">
                  </div>
                </div>  
                <div class="payment-list">
                  <div class="pll">
                    <mat-radio-button class="radio" value="8">{{'LABEL_HDFC' | translate:lang }}</mat-radio-button>
                  </div>
                  <div class="plr">
                    <img src="assets/images/hdfc.svg">
                  </div>
                </div>
                <div class="payment-list">
                <div class="pll">
                  <mat-radio-button class="radio" value="3">Via Paypal</mat-radio-button>
                </div>
                <div class="plr">
                  <img src="assets/images/pay-paypal.svg">
                </div>
              </div>
              </div>
            </mat-radio-group>
          </div>-->
        </div>
        <div id="cartbutton">
          <div class="payment-opt-but-mobile">
            <button (click)="subscribeMemberShipPlan()" mat-raised-button color="primary"
              [disabled]="(!billingAddress || !shippingAddress) || isPlacingOrder"
              [title]="'buttonPlaceOrder' | translate: lang">{{ 'buttonPlaceOrder' | translate:lang }}</button>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <div class="nodata-found-wrap" *ngIf="!cartStatus && !isLoading">
      <div class="nodata-found">
        <img src="assets/images/empty_product.png" />
      </div>
      <span class="align-bottom">
        {{ 'labelShoppingCartEmpty' | translate:lang }}
      </span>
      <div class="showmore-wrap">
        <button (click)="continueShopping()" mat-raised-button
          color="primary">{{'buttonContinueShopping' | translate: lang}}</button>
      </div>
    </div>
  </div>
</ng-container>

<div class="img-center" *ngIf="!isBrowser">
  <img src="../../../assets/images/loading-spinner.gif" alt="">
</div>


<form *ngIf="accessCode" #form ngNoForm id="nonseamless" method="post" name="redirect" action="{{accountUrl}}">
  <input type="hidden" id="encRequest" name="encRequest" [ngModel]="encRequest">
  <input type="hidden" name="access_code" id="access_code" [ngModel]="accessCode">
</form>